<template>
  <div class="homeContainer">
    <div class="homeItem carousel">
      <h3 class="text-lg font-bold">Nadchodzące konwenty</h3>
      <hr/>
      <carousel class=""></carousel>
      </div>
    <div class="homeItem header">
      <h3 class="text-lg font-bold">Artykuły</h3>
      <hr/>
    </div>
    <div class="homeItem featured">
      <featuredItem/>
    </div>
    <div class="homeItem ad">
      <img style="height:100%;width:auto;max-width:100%;object-fit: cover;" src="https://appspcwiki.com/wp-content/uploads/2020/07/raid-shadow-legends-for-pc-feature.jpg">
    </div>
    <div class="homeItem post">
      <h2 class="text-lg my-1">Najnowsze</h2>
      <div class="postItems">
        <span v-for="index in 3" :key="index">
          <basicItem/>
        </span>
      </div>
    </div>
  </div>
</template>

<style scoped>
.homeContainer {
  margin: 0 10%;
  display: grid;
  grid-template-areas:
    'carousel carousel carousel'
    'header header header'
    'featured featured ad'
    'post post post';
  gap: 1rem;
  padding: 0 1rem 1rem 1rem;
  grid-template-rows: auto auto auto;
  grid-template-columns: 33% 33% 33%;
}
.homeItem {
  border-radius: 10px;
  color: black;
  max-width: 80vw;
}
.carousel {
  grid-area: carousel;
  text-align: left;
  display: flex;
  flex-direction: column;
}
.header {
  grid-area: header;
  text-align: left;
}
.featured {
  grid-area: featured;
  text-align: left;
}
.ad {
  grid-area: ad;
}
.post {
  grid-area: post;
  text-align: left;
}
.postItems {
  display: flex;
  flex-direction: row;
  gap: 2rem;
}
.postItems span {
  max-width: 32%;
}
h3 {
  padding: 0;
  margin: .5rem;
}
h2 {
  color: #F79824;
}
</style>

<script>
import carousel from '../components/Carousel.vue';
import featuredItem from '../components/FeaturedItem.vue';
import basicItem from '../components/BasicItem.vue';

export default {
  components: {
    carousel,
    featuredItem,
    basicItem
  }
}
</script>
